## kpim6-libksieve 25.08.1+p24.04+vstable+git20250926.1108

=== debian/changelog ===
kpim6-libksieve (4:25.08.1+p24.04+vstable+git20250926.1108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 11:08:40 +0000
