## kpim6-libksieve 25.08.1+p24.04+vstable+git20250930.0540

=== debian/changelog ===
kpim6-libksieve (4:25.08.1+p24.04+vstable+git20250930.0540-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:40:16 +0000
