## kpim6-libksieve 25.08.2

=== debian/changelog ===
kpim6-libksieve (4:25.08.2-0zneon+24.04+noble+release+build40) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 09:13:54 +0000

kpim6-libksieve (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:53:49 +0000
