=== debian/changelog ===
kpim6-libksieve (4:25.08.2+p24.04+vstable+git20251024.0031-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 00:31:29 +0000
