## kpim6-libksieve 25.08.2+p24.04+vstable+git20251028.1036

=== debian/changelog ===
kpim6-libksieve (4:25.08.2+p24.04+vstable+git20251028.1036-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:37:00 +0000
