## kpim6-libksieve 25.08.2+p24.04+vstable+git20251030.0410

=== debian/changelog ===
kpim6-libksieve (4:25.08.2+p24.04+vstable+git20251030.0410-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 04:10:27 +0000
