=== debian/control ===
Source: kpim6-libksieve
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-knewstuff-dev,
               kf6-ktextaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-syntax-highlighting-dev,
               kpim6-kidentitymanagement-dev,
               kpim6-kimap-dev,
               kpim6-kmailtransport-dev,
               kpim6-kmime-dev,
               kpim6-kpimtextedit-dev,
               kpim6-libkdepim-dev,
               kpim6-pimcommon-dev,
               libsasl2-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               qt6-webengine-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/libksieve.git
Vcs-Browser: https://invent.kde.org/neon/kde/libksieve
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-libksieve
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: qt6-base, ${misc:Depends}, ${shlibs:Depends}
Replaces: kio-sieve,
          libkf5kmanagesieve5,
          libkf5ksieve-data,
          libkf5ksieve5,
          libkf5ksieveui5,
          libkpim6kmanagesieve6,
          libkpim6ksieve-data,
          libkpim6ksieve6,
          libkpim6ksieveui6
Description: Sieve mail filtering language support for kdepim, development files
 This library implements a parser and lexer for Sieve, the mail filtering
 language (RFC 3028).
 .
 This package contains the library files for ksieve.

Package: kpim6-libksieve-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-syntax-highlighting-dev,
         kpim6-libksieve (= ${binary:Version}),
         kpim6-pimcommon-dev,
         qt6-base-dev,
         ${misc:Depends}
Replaces: libkf5sieve-dev, libkpim6ksieve-dev
Description: Sieve mail filtering language support for kdepim, development files
 This library implements a parser and lexer for Sieve, the mail filtering
 language (RFC 3028).
 .
 This package contains development files for ksieve.

Package: kio-sieve
Architecture: all
Depends: kpim6-libksieve, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6kmanagesieve6
Architecture: all
Depends: kpim6-libksieve, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6ksieve-data
Architecture: all
Depends: kpim6-libksieve, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6ksieve-dev
Architecture: all
Depends: kpim6-libksieve-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6ksieve6
Architecture: all
Depends: kpim6-libksieve, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6ksieveui6
Architecture: all
Depends: kpim6-libksieve, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5kmanagesieve5
Architecture: all
Depends: kpim6-libksieve, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5ksieve-data
Architecture: all
Depends: kpim6-libksieve, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5ksieve-dev
Architecture: all
Depends: kpim6-libksieve, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5ksieve5
Architecture: all
Depends: kpim6-libksieve, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5ksieveui5
Architecture: all
Depends: kpim6-libksieve, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
