=== debian/changelog ===
kpim6-libksieve (4:25.08.3+p24.04+vunstable+git20251205.1031-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 05 Dec 2025 10:31:59 +0000
