## kpim6-libksieve 25.12.1+p24.04+vstable+git20260107.0237

=== debian/changelog ===
kpim6-libksieve (4:25.12.1+p24.04+vstable+git20260107.0237-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 02:37:33 +0000
